import matplotlib.pyplot as plt  # importe la bibliothèque graphique

from random import randint



N=int(input("Nombre initial de noyaux: No= "))  # entrer le nombre initial No de noyaux radioactifs

L=[]  # crée une liste avec le nombre de noyaux radioactifs restants



while N>0:  # tant qu'il reste des noyaux radioactifs

    L.append(N) # la valeur de N est ajoutée à la liste L

    s=0  # crée un compteur initialisé à 0

    for i in range(N):

        if randint(1,50)==1: # si un noyau se désintègre (probabilité 1/50)

            s=s+1 # le compteur ajoute +1 

    N=N-s # N est le nombre de noyaux radioactifs restants et la boucle recommence si N>0



print("Nombre de noyaux restants: N = ",L) # affiche la liste contenant les noyaux radioactifs restants à chaque étape



t=[i for i in range(len(L))]   # crée une liste "temps" de même dimension que la liste L



plt.scatter(t,L, color="blue") # affiche un nuage de points avec les listes t en abscisse et L en ordonnée

plt.title("Decroissance radioactive")

plt.xlabel("Temps (s)") 

plt.ylabel("Nombre de noyaux radioactifs")  

plt.grid()  # affiche une grille

plt.show()  # affiche le graphique

























































